Subject: Re: bug#32300: [PATCH] database: Fix the builds limit issue.

From: Clément Lassieur <[email-masked]>
Date: Wed, 08 Aug 2018 13:44:44 +0200

Hi Danny,

Danny Milosavljevic <[email-masked]> writes:

> The more complicated version is a LOT faster - and was added because
> the version in this patch was just way too slow (unusably slow).
>
> I think it's better to also remove the call to db-get-outputs (and
> the entry #:outputs) entirely.  I don't think our overview page even
> shows the outputs in the first place, so why fetch them?

As you can see on my test machine with a Berlin database, it's almost
instantaneous.  Also, with my commit that merges the Derivations and the
Builds tables, the queries are way lighter: they return about 100 builds
per evaluation, instead of 20000.

Plus, the outputs are used to get the build log.

https://cuirass.lassieur.org:8081/jobset/guix-master

WDYT?
Clément